% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/add-info.R
\name{AddEditingFreqInfo}
\alias{AddEditingFreqInfo}
\title{Calculates editing frequency for RDDs in JACUSA output.}
\usage{
AddEditingFreqInfo(l)
}
\arguments{
\item{l}{List object created by \code{Read()}.}
}
\value{
Returns a list of base calls with the additional editingFreq fields.
}
\description{
\code{AddEditingFreqInfo} calculates the editing frequency for each replicate and an average 
for gDNA vs. cDNA comparisons. The result is added to the initial list object.
}
\examples{
## AddEditingFreqInfo implicitly adds the baseChange field
data <- AddEditingFreqInfo(untr_hek293_rdds)
## plot a boxplot of editing frequencies for each base change
boxplot(tapply(data$editingFreq, data$baseChange, c))

}

